com.privatejgoodies.forms.layout

## Class FormSpecs

- java.lang.Object
- - com.privatejgoodies.forms.layout.FormSpecs

    public final class FormSpecs
    extends Object

Provides frequently used column and row specifications.

Since:
  1.6 This class was the FormFactory before.
Version:
  $Revision: 1.17 $
Author:
  Karsten Lentzsch
See Also:
  `FormLayout`, `ColumnSpec`

### Field Summary

Fields
`static ColumnSpec` `BUTTON_COLSPEC` Describes a logical horizontal column for a fixed size button.
`static RowSpec` `BUTTON_ROWSPEC` Describes a logical row for a fixed size button.
`static ColumnSpec` `DEFAULT_COLSPEC` An unmodifiable `ColumnSpec` that determines its preferred width by computing the maximum of all column component preferred widths and its minimum width by computing all column component minimum widths.
`static RowSpec` `DEFAULT_ROWSPEC` An unmodifiable `RowSpec` that determines its preferred height by computing the maximum of all column component preferred heights and its minimum height by computing all column component minimum heights.
`static ColumnSpec` `GLUE_COLSPEC` An unmodifiable `ColumnSpec` that has an initial width of 0 pixels and that grows.
`static RowSpec` `GLUE_ROWSPEC` An unmodifiable `RowSpec` that has an initial height of 0 pixels and that grows.
`static ColumnSpec` `GROWING_BUTTON_COLSPEC` Describes a logical horizontal column for a growing button.
`static ColumnSpec` `LABEL_COMPONENT_GAP_COLSPEC` Describes a logical horizontal gap between a label and an associated component.
`static RowSpec` `LABEL_COMPONENT_GAP_ROWSPEC` Describes a logical horizontal gap between a label and an associated component.
`static RowSpec` `LINE_GAP_ROWSPEC` Describes the logical vertical default gap between two rows in the grid.
`static ColumnSpec` `MIN_COLSPEC` An unmodifiable `ColumnSpec` that determines its width by computing the maximum of all column component minimum widths.
`static RowSpec` `MIN_ROWSPEC` An unmodifiable `RowSpec` that determines its height by computing the maximum of all column component minimum heights.
`static RowSpec` `NARROW_LINE_GAP_ROWSPEC` Describes a logical vertical narrow gap between two rows in the grid.
`static RowSpec` `PARAGRAPH_GAP_ROWSPEC` Describes the logical vertical default gap between two paragraphs in the layout grid.
`static ColumnSpec` `PREF_COLSPEC` An unmodifiable `ColumnSpec` that determines its width by computing the maximum of all column component preferred widths.
`static RowSpec` `PREF_ROWSPEC` An unmodifiable `RowSpec` that determines its height by computing the maximum of all column component preferred heights.
`static ColumnSpec` `RELATED_GAP_COLSPEC` Describes a logical horizontal gap between two related components.
`static RowSpec` `RELATED_GAP_ROWSPEC` Describes a logical vertical gap between two related components.
`static ColumnSpec` `UNRELATED_GAP_COLSPEC` Describes a logical horizontal gap between two unrelated components.
`static RowSpec` `UNRELATED_GAP_ROWSPEC` Describes a logical vertical gap between two unrelated components.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MIN_COLSPEC

    public static final ColumnSpec MIN_COLSPEC

An unmodifiable `ColumnSpec` that determines its width by computing the maximum of all column component minimum widths.

See Also:
  `PREF_COLSPEC`, `DEFAULT_COLSPEC`

#### PREF_COLSPEC

    public static final ColumnSpec PREF_COLSPEC

An unmodifiable `ColumnSpec` that determines its width by computing the maximum of all column component preferred widths.

See Also:
  `MIN_COLSPEC`, `DEFAULT_COLSPEC`

#### DEFAULT_COLSPEC

    public static final ColumnSpec DEFAULT_COLSPEC

An unmodifiable `ColumnSpec` that determines its preferred width by computing the maximum of all column component preferred widths and its minimum width by computing all column component minimum widths.

Useful to let a column shrink from preferred width to minimum width if the container space gets scarce.

See Also:
  `MIN_COLSPEC`, `PREF_COLSPEC`

#### GLUE_COLSPEC

    public static final ColumnSpec GLUE_COLSPEC

An unmodifiable `ColumnSpec` that has an initial width of 0 pixels and that grows. Useful to describe glue columns that fill the space between other columns.

See Also:
  `GLUE_ROWSPEC`

#### LABEL_COMPONENT_GAP_COLSPEC

    public static final ColumnSpec LABEL_COMPONENT_GAP_COLSPEC

Describes a logical horizontal gap between a label and an associated component. Useful for builders that automatically fill a grid with labels and components.

Note: In a future version this constant will likely be moved to a class `LogicalSize` or `StyledSize`.

Since:
  1.0.3

#### RELATED_GAP_COLSPEC

    public static final ColumnSpec RELATED_GAP_COLSPEC

Describes a logical horizontal gap between two related components. For example the OK and Cancel buttons are considered related.

Note: In a future version this constant will likely be moved to a class `LogicalSize` or `StyledSize`.

See Also:
  `UNRELATED_GAP_COLSPEC`

#### UNRELATED_GAP_COLSPEC

    public static final ColumnSpec UNRELATED_GAP_COLSPEC

Describes a logical horizontal gap between two unrelated components.

Note: In a future version this constant will likely be moved to a class `LogicalSize` or `StyledSize`.

See Also:
  `RELATED_GAP_COLSPEC`

#### BUTTON_COLSPEC

    public static final ColumnSpec BUTTON_COLSPEC

Describes a logical horizontal column for a fixed size button. This spec honors the current layout style's default button minimum width.

Note: In a future version this constant will likely be moved to a class `LogicalSize` or `StyledSize`.

See Also:
  `GROWING_BUTTON_COLSPEC`

#### GROWING_BUTTON_COLSPEC

    public static final ColumnSpec GROWING_BUTTON_COLSPEC

Describes a logical horizontal column for a growing button. This spec does not use the layout style's default button minimum width.

Note: In a future version this constant will likely be moved to a class `LogicalSize` or `StyledSize`.

See Also:
  `BUTTON_COLSPEC`

#### MIN_ROWSPEC

    public static final RowSpec MIN_ROWSPEC

An unmodifiable `RowSpec` that determines its height by computing the maximum of all column component minimum heights.

See Also:
  `PREF_ROWSPEC`, `DEFAULT_ROWSPEC`

#### PREF_ROWSPEC

    public static final RowSpec PREF_ROWSPEC

An unmodifiable `RowSpec` that determines its height by computing the maximum of all column component preferred heights.

See Also:
  `MIN_ROWSPEC`, `DEFAULT_ROWSPEC`

#### DEFAULT_ROWSPEC

    public static final RowSpec DEFAULT_ROWSPEC

An unmodifiable `RowSpec` that determines its preferred height by computing the maximum of all column component preferred heights and its minimum height by computing all column component minimum heights.

Useful to let a column shrink from preferred height to minimum height if the container space gets scarce.

See Also:
  `MIN_COLSPEC`, `PREF_COLSPEC`

#### GLUE_ROWSPEC

    public static final RowSpec GLUE_ROWSPEC

An unmodifiable `RowSpec` that has an initial height of 0 pixels and that grows. Useful to describe glue rows that fill the space between other rows.

See Also:
  `GLUE_COLSPEC`

#### LABEL_COMPONENT_GAP_ROWSPEC

    public static final RowSpec LABEL_COMPONENT_GAP_ROWSPEC

Describes a logical horizontal gap between a label and an associated component. Useful for builders that automatically fill a grid with labels and components.

Note: In a future version this constant will likely be moved to a class `LogicalSize` or `StyledSize`.

Since:
  1.4

#### RELATED_GAP_ROWSPEC

    public static final RowSpec RELATED_GAP_ROWSPEC

Describes a logical vertical gap between two related components. For example the OK and Cancel buttons are considered related.

Note: In a future version this constant will likely be moved to a class `LogicalSize` or `StyledSize`.

See Also:
  `UNRELATED_GAP_ROWSPEC`

#### UNRELATED_GAP_ROWSPEC

    public static final RowSpec UNRELATED_GAP_ROWSPEC

Describes a logical vertical gap between two unrelated components.

Note: In a future version this constant will likely be moved to a class `LogicalSize` or `StyledSize`.

See Also:
  `RELATED_GAP_ROWSPEC`

#### NARROW_LINE_GAP_ROWSPEC

    public static final RowSpec NARROW_LINE_GAP_ROWSPEC

Describes a logical vertical narrow gap between two rows in the grid. Useful if the vertical space is scarce or if an individual vertical gap shall be small than the default line gap.

Note: In a future version this constant will likely be moved to a class `LogicalSize` or `StyledSize`.

See Also:
  `LINE_GAP_ROWSPEC`, `PARAGRAPH_GAP_ROWSPEC`

#### LINE_GAP_ROWSPEC

    public static final RowSpec LINE_GAP_ROWSPEC

Describes the logical vertical default gap between two rows in the grid. A little bit larger than the narrow line gap.

Note: In a future version this constant will likely be moved to a class `LogicalSize` or `StyledSize`.

See Also:
  `NARROW_LINE_GAP_ROWSPEC`, `PARAGRAPH_GAP_ROWSPEC`

#### PARAGRAPH_GAP_ROWSPEC

    public static final RowSpec PARAGRAPH_GAP_ROWSPEC

Describes the logical vertical default gap between two paragraphs in the layout grid. This gap is larger than the default line gap.

Note: In a future version this constant will likely be moved to a class `LogicalSize` or `StyledSize`.

See Also:
  `NARROW_LINE_GAP_ROWSPEC`, `LINE_GAP_ROWSPEC`

#### BUTTON_ROWSPEC

    public static final RowSpec BUTTON_ROWSPEC

Describes a logical row for a fixed size button. This spec honors the current layout style's default button minimum height.

Note: In a future version this constant will likely be moved to a class `LogicalSize` or `StyledSize`.

Since:
  1.2